Subject: Book on Bee Flies 4Sale

From: [email-masked] (John Green)
Date: 31 Dec 1994 00:22:32 GMT

Bee Flies of the World Bk 4Sale

Hull, Frank M.  Bee Flies of the World:  The Genera of the Family 
Bombyliidae.  Washington D.C.:  Smithsonian Institution Press, 1973.  
Hard cover with dust jacket, 687 pages.  Contains index, keys to the 
genera, and a check list of more than 4,000 species.  Bibliography has 
nearly 1,600 titles by more than 500 authors.  Includes 75 text figures 
and more than 1,000 line drawings.  Currently in print at $90.  This copy 
has a worn dust jacket, otherwise excellent condition.

$50 post paid in U.S.

reply email [email-masked]

--